#
# spec file for package yast2-isns
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           yast2-isns
Version:        5.0.0
Release:        1.9
Summary:        Configuration of isns
License:        GPL-2.0-only
Group:          System/YaST
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
# Yast2::Systemd::Service
BuildRequires:  yast2 >= 4.1.3
BuildRequires:  yast2-devtools >= 4.4.0
BuildRequires:  yast2-testsuite
BuildRequires:  rubygem(%{rb_default_ruby_abi}:rspec)
BuildRequires:  rubygem(%{rb_default_ruby_abi}:yast-rake)
# Yast2::Systemd::Service
Requires:       yast2 >= 4.1.3
Requires:       yast2-ruby-bindings >= 1.0.0
Supplements:    autoyast(isns)
BuildArch:      noarch

%description
-

%prep
%setup -q

%check
%yast_check

%build
%yast_build

%install
%yast_install
%yast_metainfo

%files
%license COPYING
%{yast_yncludedir}
%{yast_clientdir}
%{yast_moduledir}
%{yast_desktopdir}
%{yast_metainfodir}
%{yast_scrconfdir}
%{yast_icondir}

%changelog
* Wed Aug 30 2023 Josef Reidinger <jreidinger@suse.cz>
- 5.0.0 (bsc#1185510)
* Fri Mar  3 2023 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.6.0 (bsc#1208913)
* Wed Apr  6 2022 Ladislav Slezák <lslezak@suse.cz>
- Bump version to 4.5.0 (bsc#1198109)
* Tue Apr 20 2021 Dirk Müller <dmueller@suse.com>
- stop packaging docdir, it only contained the license which
  is now in licensedir (bsc#1184897)
- spec file cleanups
- 4.4.1
* Tue Apr 20 2021 Ladislav Slezák <lslezak@suse.cz>
- 4.4.0
* Tue Aug 11 2020 schubi@suse.de
- AutoYaST: Added supplements: autoyast(isns) into the spec file
  in order to install this packages if the section has been defined
  in the AY configuration file (bsc#1146494).
- 4.3.0
* Fri May 31 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add metainfo (fate#319035)
- Revamp spec
- Replace GenericName with Comment
- 4.2.0
* Wed Dec  5 2018 jreidinger@suse.com
- always use absolute path to binaries (bsc#1118291)
- escape properly shell arguments (bsc#1118291)
- 4.1.4
* Sun Nov 25 2018 Stasiek Michalski <hellcp@mailbox.org>
- Provide icon with module (boo#1109310)
- 4.1.3
* Tue Oct 16 2018 schubi@suse.de
- Added license file to spec.
* Thu Aug 23 2018 dgonzalez@suse.com
- Update calls to YaST2 systemd classes (related to fate#319428)
- 4.1.2
* Thu Aug 23 2018 dgonzalez@suse.com
- Avoid crash when "open-isns" is not installed yet
  (related to fate#319428)
- 4.1.1
* Mon Aug 20 2018 schubi@suse.de
- Switched license in spec file from SPDX2 to SPDX3 format.
* Fri Aug 10 2018 jlopez@suse.com
- Use new Yast2::ServiceWidget to manage the service status
  (part of fate#319428).
- 4.1.0
* Thu Jun 28 2018 schubi@suse.de
- Added additional searchkeys to desktop file (fate#321043).
- 4.0.1
* Fri Feb  2 2018 knut.anderssen@suse.com
- Replace SuSEFirewall2 by firewalld (fate#323460)
- 4.0.0
* Tue Jun  7 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- 3.1.7
* Mon Oct 12 2015 cwh@suse.com
- Do not die if connection to isnsd fails (bsc#941813)
- 3.1.6
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
- 3.1.5
* Thu Sep  4 2014 cwh@suse.com
- adapted to open-isns (bnc#887477 + fate#316901) by
  - removing UI parts of things not supported by open-isns
  - changing calls of 'isnsadm' to new syntax
- 3.1.4
* Thu Jun  5 2014 gs@suse.de
- correct name for firewall service, adjust 'isnsd' service start
  (bnc #880173)
- 3.1.3
* Tue Apr  1 2014 jreidinger@suse.com
- use new open-isns instead of dropped isns package (bnc#870453)
- 3.1.2
* Wed Nov 13 2013 jreidinger@suse.com
- Add explicit COPYING file
* Wed Sep 18 2013 lslezak@suse.cz
- do not use *.spec.in template, use *.spec file with RPM macros
  instead
- 3.1.0
* Wed Jul 31 2013 yast-devel@opensuse.org
- converted from YCP to Ruby by YCP Killer
  (https://github.com/yast/ycp-killer)
- version 3.0.0
* Tue May  7 2013 lslezak@suse.cz
- fixed syntax error in widgets.ycp (wrogly placed bracket)
* Thu Apr 19 2012 jsrain@suse.cz
- use the ButtonBox widget (bnc#684863)
* Thu Mar 29 2012 jsuchome@suse.cz
- merged proofread texts
* Thu Jan 12 2012 coolo@suse.com
- change license to be in spdx.org format
* Thu Sep 29 2011 visnov@suse.cz
- set dialog title
- 2.21.2
* Mon Sep 19 2011 visnov@suse.cz
- removed unneeded import
- 2.21.1
* Fri Aug  5 2011 lslezak@suse.cz
- fixed categories in the .desktop-file (bnc#607047)
- 2.21.0
* Fri Aug  5 2011 tgoettlicher@suse.de
- fixed .desktop file (bnc #681249)
* Mon Jul  4 2011 snwint@suse.de
- fixed typos (bnc #703129)
* Tue Feb  2 2010 mzugec@suse.cz
- marked string for translation (bnc#446571)
- 2.19.0
* Wed Jan 13 2010 kmachalkova@suse.cz
- Adjusted .desktop file(s) to wrap /sbin/yast2/ calls in xdg-su
  where root privileges are needed, removed X-KDE-SubstituteUID key
  (bnc#540627)
* Thu Nov  5 2009 mzugec@suse.cz
- fixed agent registration path (bnc#552573)
- 2.18.3
* Tue Jul  7 2009 mzugec@suse.cz
- missing html tag (bnc#434301)
* Fri Jul  3 2009 mzugec@suse.de
- button ordering (bnc#440543)
- 2.18.2
* Fri Jul  3 2009 mzugec@suse.de
- fixed typo in help text (bnc#439179)
- 2.18.1
* Thu Jul  2 2009 mzugec@suse.cz
- submitted into yast svn, fixed some build issues
* Tue Sep 18 2007 wrwhitehead@novell.com
- Fixed Bug #325129 - iSNS server not running feedback and
  updated dialogs to display only the non-selected nodes
* Tue Sep  4 2007 wrwhitehead@novell.com
- Updated display pages to be more user friendly.  Added help text.
* Wed Aug 29 2007 wrwhitehead@novell.com
- Resized display pages and fixed some typeos in the text labels
* Fri Apr 13 2007 wrwhitehead@novell.com
- Fixed Bug 257976 Note displaying target/initiator types
* Thu Feb 15 2007 WRWhitehead@novell.com
- initial version (FATE #233)
